curl --request POST \
--url https://api.sunbird.ai/tasks/classify_language \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>"
}
'import requests
url = "https://api.sunbird.ai/tasks/classify_language"
payload = { "text": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>'})
};
fetch('https://api.sunbird.ai/tasks/classify_language', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"language": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Classify Language
Classify the language of a given text with confidence scores.
This endpoint identifies the language of a given text using a classification model with probability scores. A language is only reported if confidence exceeds a threshold (default 0.9).
It supports a limited set of local languages including Acholi (ach), Ateso (teo), English (eng), Luganda (lug), Lugbara (lgg), and Runyankole (nyn).
Example
Request body
{
"text": "Oli otya?"
}
Response
{
"language": "lug"
}
If confidence is below threshold
{
"language": "language not detected"
}
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
Request model for language identification.
This model validates language identification requests with text input.
Fields
text— The text to identify the language of (3-200 characters).
The text to identify the language of
3 - 200Response
Successful Response
Response model for language identification.
This model represents the response from language identification operations.
Fields
language— The identified language code (e.g., 'lug', 'eng', 'ach').
The identified language code

